#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,k;
    cin >> n >> k;
    vector <int> a(n+1,0);
    for (int i=0;i<k;i++)
    {
        int c;
        cin >> c;
        a[c]=1;
    }
    set <int> sums;
    for (int i=1;i<=n;i++)
    {
        if (a[i]==0){
            for (int j=1;j<=n;j++)
            {
                if (a[j]==0)
                    sums.insert(i+j);
            }
        }
    }
    cout << sums.size();
}
